/* radio */
input[type="radio"] {
    width: 20px !important;
    height: 20px !important;
    border: 1px solid #000;
    padding: 0 !important;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;
    left: 0;
}

input[type="radio"]:checked {
    background: #fff;
    opacity: 1;
    border: 1px solid #4285f4;
}

input[type="radio"]:checked::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 12px;
    height: 12px;
    background-color: none;
    background: #4285f4;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.3s ease-in-out;
}

input[type="radio"]:focus {
    outline: none;
}

/* cb */
input[type="checkbox"] {
    width: 20px;
    height: 20px;
    border: none;
    background: #fff;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;
    border: 1px solid #000;
}

input[type="checkbox"]:checked {
    background: #fff;
    opacity: 1;
    border: 1px solid #4285f4;
}

input[type="checkbox"]:checked::before {
    content: "";
    position: absolute;
    top: 7px;
    left: 9px;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 5px;
    height: 13px;
    border: solid #4285f4;
    border-width: 0 3.5px 3.5px 0;
}

input[type="checkbox"]:focus {
  outline: none;
}


/**/
.custom-select-wrapper {
    position: relative;
    user-select: none;
    * {
        font-size: 16px;
    }
}

.custom-select-wrapper select {
    display: none;
}

.select-styled {
    background-color: #ffffff;
    border: 1px solid #000;
    padding: 10px;
    height: 40px;
    cursor: pointer;
    display: flex;
    align-items: center;
    position: relative;
    min-height: 40px;
}

.select-styled:after {
    content: "";
    width: 0;
    height: 0;
    border: 5px solid transparent;
    border-color: #000 transparent transparent transparent;
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-25%);
}

.select-styled img, .select-options img {
    width: 24px;
    height: 24px;
    margin-right: 10px;
    object-fit: cover;
    border-radius: 2px;
}

.select-options {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    z-index: 999;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #ffffff;
    border: 1px solid #000;
    border-top: none;
}

.select-options li {
    margin: 0;
    padding: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    height: 40px !important;
}

.select-options li:hover {
    background-color: #4285f4;
    color: #fff;
}

.select-options li[rel="hide"] {
    display: none;
}